#Example of a executable script that produces the graphs

#!/bin/bash
set -e

#Example of a executable script that runs the training, inference and plotting of the results
$CONTAINER #path to the container
CONFIG_FILE #path to the config file


$GAMMA_FILE  #Path to the datasets ( we can use two differents datasets for training and testing)
$PROTON_FILE
#or use Zenodo open dataset 
wget -c https://zenodo.org/records/7298569/files/gamma-diffuse.dl2.h5
wget -c https://zenodo.org/records/7298569/files/proton.dl2.h5

GRAPH_PRODUCER="/opt/stereograph/scripts/script_produce_graphs.py"

PYTHON="/opt/conda/envs/stereo/bin/python"

apptainer run \
    --env "CUDA_VISIBLE_DEVICES=${CUDA_VISIBLE_DEVICES}" \
    --env "WANDB_API_KEY=${WANDB_API_KEY}" \
    --env "CTAPIPE_CACHE=/tmp/CTAPIPE" \
    --env "NUMBA_CACHE_DIR=/tmp/NUMBA" \
    --mount type=bind,source=/lapp_data/,destination=/lapp_data/ \
     $CONTAINER \
     bash -c " \
        $PYTHON $GRAPH_PRODUCER --filename $GAMMA_FILE --config_file $CONFIG_FILE --output gamma-diffuse_test.graphs --overwrite && \
        $PYTHON $GRAPH_PRODUCER --filename $PROTON_FILE --config_file $CONFIG_FILE --output protons_test.graphs --overwrite"
