#Example of a executable script that runs the training, inference and plotting of the results
$CONTAINER #path to the container
$CONFIG_FILE_CLASS #path to the config files
$CONFIG_FILE_DIR
$CONFIG_FILE_ENERGY




TRAIN_FILE="/opt/stereograph/scripts/train.py"
INFERENCE="/opt/stereograph/scripts/inference.py"
PLOT="/opt/stereograph/scripts/script_plot_performances.py"

PYTHON="/opt/conda/envs/stereo/bin/python"

apptainer run \
    --env "CUDA_VISIBLE_DEVICES=${CUDA_VISIBLE_DEVICES}" \
    --env "WANDB_API_KEY=${WANDB_API_KEY}" \
    --env "CTAPIPE_CACHE=/tmp/CTAPIPE" \
    --env "NUMBA_CACHE_DIR=/tmp/NUMBA" \
    --mount type=bind,source=/lapp_data/,destination=/lapp_data/ \
     $CONTAINER \
     bash -c "\

    $PYTHON	$TRAIN_FILE --config_file $CONFIG_FILE_ENERGY  --gamma_file gamma-diffuse.graphs --overwrite && \
    $PYTHON	$TRAIN_FILE --config_file $CONFIG_FILE_DIR  --gamma_file gamma-diffuse.graphs --overwrite && \
    $PYTHON	$TRAIN_FILE --config_file $CONFIG_FILE_CLASS  --gamma_file gamma-diffuse.graphs --proton_file protons.graphs --overwrite && \
    $PYTHON $INFERENCE -c $CONFIG_FILE_ENERGY -ckpt results/energy/best-checkpoint.ckpt  --overwrite --gamma_test gamma-diffuse_test.graphs --proton_test protons_test.graphs && \
    $PYTHON $INFERENCE -c $CONFIG_FILE_DIR -ckpt results/direction/best-checkpoint.ckpt  --overwrite --gamma_test gamma-diffuse_test.graphs --proton_test protons_test.graphs && \
    $PYTHON $INFERENCE -c $CONFIG_FILE_CLASS -ckpt results/class/best-checkpoint.ckpt  --overwrite --gamma_test gamma-diffuse_test.graphs --proton_test protons_test.graphs && \
    $PYTHON $PLOT -f results/energy/dl2_energy_test.h5 -o results/energy.png --overwrite -e && \
    $PYTHON $PLOT -f results/direction/dl2_energy_test.h5 -o results/direction.png --overwrite -d && \
    $PYTHON $PLOT -f results/class/dl2_energy_test.h5 -o results/class.png --overwrite -c
"

