# STEREOGRAPH

**Stereoscopic event reconstruction using graph neural networks applied to CTAO**

This project applies Graph Neural Networks (GNNs) to the stereoscopic event reconstruction for the Cherenkov Telescope Array Observatory (CTAO). We use GNNs to combine data from multiple telescopes. 
This project provides a framework to easily apply models, train, perform inference, and plot IRFs from a configuration file.


# Build the documentation
You need to have installed `steregraph` with the [documentation dependencies](installation.md).

```bash
# From the root folder of the repository
mkdocs build --strict -c -f docs/mkdocs.yml -d ../htmldoc
```
will build the documentation in a folder `htmldoc` in the root repository.

## License
Stereograph uses MIT [license](license.md)